#include <bits/stdc++.h>
using namespace std;
#define ll long long
int main(){
    int h, w;
    cin >> h >> w;
    int ans = h * w;
    int res = 0;
    for(int i = 1; i <= ans; i++){
        if (i % 2 == 0 or i == 1){
            int sum = 0;
            while(sum < ans){
                if (sum + i > ans){
                    break;
                }
                sum += i;
            }
            res += sum;
        }
    }
    cout << res;
}